package vip.xiaonuo.production.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWriteEnergy;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionWriteEnergyAddParam;

import java.util.Map;

/**
 * <p>
 * 车间能耗数据填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
public interface IProductionWriteEnergyService extends IService<ProductionWriteEnergy> {

    CommonResult add(ProductionWriteEnergyAddParam addParam);

    CommonResult edit(ProductionWriteEnergy writeEnergy);

    CommonResult delete(Map<String,String> paramsMap);

    CommonResult list(Map<String,String> paramsMap);

    CommonResult page(Map<String,String> paramsMap);
}
